Bug 430408 - Various warnings in /var/log/messages when console-kit starts
Various warnings in /var/log/messages when console-kit starts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 13:41 EST by Tom London
Modified: 2013-03-05 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 12:31:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-01-27 13:41:04 EST
Description of problem:
Noticed the following in /var/log/messages.

Should there be a '/var/run/ConsoleKit' directory?

Should there be a 'run-session.d' directory somewhere?

The AVC referred to below is:
type=AVC msg=audit(1201376863.943:17): avc:  denied  { ptrace } for  pid=2472
comm="console-kit-dae" scontext=system_u:system_r:system_dbusd_t:s0
tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=process
type=SYSCALL msg=audit(1201376863.943:17): arch=40000003 syscall=3 success=no
exit=-3 a0=e a1=bfe30ac8 a2=1000 a3=0 items=0 ppid=1 pid=2472 auid=4294967295
uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
comm="console-kit-dae" exe="/usr/sbin/console-kit-daemon"
subj=system_u:system_r:system_dbusd_t:s0 key=(null)
type=ANOM_ABEND msg=audit(1201376870.150:18): auid=4294967295 uid=42 gid=42
subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 pid=2766 comm="dbus-launch" sig=6


/var/log/messages-20080127:Jan 27 09:04:44 localhost console-kit-daemon[2469]:
WARNING: Cannot create file /var/run/ConsoleKit/database~: No such file or directory
/var/log/messages-20080127:Jan 27 09:04:44 localhost console-kit-daemon[2469]:
WARNING: Cannot unlink /var/run/ConsoleKit/database: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:11 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /etc/ConsoleKit/run-session.d: Error opening
directory '/etc/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:11 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /usr/lib/ConsoleKit/run-session.d: Error
opening directory '/usr/lib/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:11 localhost console-kit-daemon[2469]:
WARNING: Cannot create file /var/run/ConsoleKit/database~: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:11 localhost console-kit-daemon[2469]:
WARNING: Cannot unlink /var/run/ConsoleKit/database: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:11 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /etc/ConsoleKit/run-session.d: Error opening
directory '/etc/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:11 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /usr/lib/ConsoleKit/run-session.d: Error
opening directory '/usr/lib/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:11 localhost console-kit-daemon[2469]:
WARNING: Cannot create file /var/run/ConsoleKit/database~: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:11 localhost console-kit-daemon[2469]:
WARNING: Cannot unlink /var/run/ConsoleKit/database: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:20 localhost console-kit-daemon[2469]:
WARNING: Couldn't read /proc/2768/environ: Error reading file
'/proc/2768/environ': No such process
/var/log/messages-20080127:Jan 27 09:05:22 localhost setroubleshoot: SELinux is
preventing console-kit-dae(/usr/sbin/console-kit-daemon) (system_dbusd_t)
"ptrace" to <Unknown> (xdm_t). For complete SELinux messages. run sealert -l
8806db5e-1db9-40a6-82b3-2b03b6a28589
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /etc/ConsoleKit/run-session.d: Error opening
directory '/etc/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /usr/lib/ConsoleKit/run-session.d: Error
opening directory '/usr/lib/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Cannot create file /var/run/ConsoleKit/database~: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Cannot unlink /var/run/ConsoleKit/database: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /etc/ConsoleKit/run-session.d: Error opening
directory '/etc/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /usr/lib/ConsoleKit/run-session.d: Error
opening directory '/usr/lib/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Cannot create file /var/run/ConsoleKit/database~: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Cannot unlink /var/run/ConsoleKit/database: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Cannot create file /var/run/ConsoleKit/database~: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Cannot unlink /var/run/ConsoleKit/database: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /etc/ConsoleKit/run-session.d: Error opening
directory '/etc/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /usr/lib/ConsoleKit/run-session.d: Error
opening directory '/usr/lib/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Cannot create file /var/run/ConsoleKit/database~: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Cannot unlink /var/run/ConsoleKit/database: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /etc/ConsoleKit/run-session.d: Error opening
directory '/etc/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Unable to open directory /usr/lib/ConsoleKit/run-session.d: Error
opening directory '/usr/lib/ConsoleKit/run-session.d': No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Cannot create file /var/run/ConsoleKit/database~: No such file or directory
/var/log/messages-20080127:Jan 27 09:05:33 localhost console-kit-daemon[2469]:
WARNING: Cannot unlink /var/run/ConsoleKit/database: No such file or directory


Version-Release number of selected component (if applicable):
ConsoleKit-0.2.6-3.fc9.i386

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-02-05 05:29:22 EST
Exactly the same thing here.
ConsoleKit-0.2.7-1.fc9.x86_64
ConsoleKit-libs-0.2.7-1.fc9.x86_64
ConsoleKit-x11-0.2.7-1.fc9.x86_64
Comment 2 Stepan Kasal 2008-02-13 08:37:02 EST
Still the same here, with ConsoleKit-0.2.8-1.fc9.i386

Moreover, if I try
mkdir /etc/ConsoleKit/run-session.d /usr/lib/ConsoleKit/run-session.d
/var/run/ConsoleKit
then I get the following in /var/log/messages (repeated 3 times):

Feb 13 14:28:32 camelia console-kit-daemon[4235]: GLib-CRITICAL:
g_key_file_set_string: assertion `string != NULL' failed

It indeed seems a code review might help; it happens that the expected goods
just aren't there.
Comment 3 Tom London 2008-03-02 12:31:15 EST
Spewage appears cleaned up.

Closing.

Note You need to log in before you can comment on or make changes to this bug.